MagenMagen Docs

下载报告

POST
/user/report/{id}/download

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

Content-Type*string

Obrigatório em toda chamada Magen.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.magen.processamento.com/v1/user/report/497f6eca-6276-4993-bfeb-53cbbbba6f08/download" \  -H "Content-Type: application/json"
{
  "url": "https://storage.googleapis.com/relatorios-transacoes/relatorio-transacoes-06-05-2026_06-05-2026_5224fd4e-...csv?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Expires=300&...",
  "expiresAt": "2026-05-06T16:48:34.889Z"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 410,
  "error": "Gone",
  "message": "Report file expired and is no longer available",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 422,
  "error": "Unprocessable Entity",
  "message": "Insufficient balance for this operation",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}